
from pvcycle.settings.debug import *
from basesoft.settings.martijn import *

DB_CONNSTR = 'mysql://root:f00b4r@martijn-i7.dev.bcn.basesoft.com:3306/pvcycle?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://root_ro:f00b4r@martijn-i7.dev.bcn.basesoft.com:3306/pvcycle?charset=utf8'

if commands.getoutput('hostname') == 'virtualix':
    DB_CONNSTR = DB_CONNSTR_READONLY= 'mysql://martijn:f00b4r@vm.office:3306/pvcycle_martijn?charset=utf8'

# pvcycle export apps
zBASE_APPS = [
'basesoft.web.core',
'basesoft.web.contrib.dashboard',
'basesoft.web.contrib.session',
'basesoft.web.contrib.i18n',
'basesoft.web.contrib.file',
'basesoft.web.contrib.contact',
'basesoft.web.contrib.license',
'basesoft.web.contrib.mailing',
'basesoft.web.contrib.account',
'basesoft.web.contrib.notification',
'basesoft.web.contrib.compose',
'basesoft.web.contrib.order',
'basesoft.web.contrib.basesoft',
'basesoft.web.contrib.branding',
'basesoft.web.contrib.theme',
'basesoft.web.contrib.ticketing',
'basesoft.web.contrib.wiki',
'basesoft.web.contrib.home',
]
#INSTALLED_APPS = BASE_APPS + PVCYCLE_APPS

INSTALLED_APPS = BASE_APPS + IQUBE_APPS + IQREPORT_APPS + PVCYCLE_APPS
add_test_apps(INSTALLED_APPS)
#
#TRIAL_PROJECT = 'pvcycle'
#TRIAL_APPS = PVCYCLE_APPS
#add_test_apps(TRIAL_APPS)

#SELENIUM = SELENIUM_LOCAL
#SELENIUM = SELENIUM_VM
#SELENIUM = SELENIUM_BB

#FORM_VALIDATION = False

YUICOMPRESSOR_SERVER = ('192.168.16.26', 8123)

if not mondrian_eclipse:
    MONDRIAN_XMLA_SERVER = ('localhost', 8080)
    IQUBE_SERVLET = "http://localhost:8080/iqube-martijn-pvcycle/IQubeXmlRpcServlet"
    MONDRIAN_XMLA_PATH = '/iqube-martijn-pvcycle/xmla'


# below is for running the tests from eclipse
if __name__ == '__main__':

    from twisted.scripts.trial import run
    import sys
    import os

    os.environ['DJANGO_SETTINGS_MODULE'] = 'pvcycle.settings.martijn'

    sys.argv = ['test_member.py', 'pvcycle.test.unit.test_order.TestCase.test_resign']
    run()
    sys.exit()
